Steinberg Library Privileged Helper Wrong Version

Ok so I’ve just purchased and tried to install my first Steinberg products - 4Knobs Upright and pop piano and I get the dreaded “privileged helper has wrong version” error. Searching through these forums and have not been able to find any resolution.

Has anyone actually solved this? Or have I just thrown away cash on a product I can never use. Thanks in advance for anyone who may have any ideas